#ifndef __IMAGE_TYPES_H__
#define __IMAGE_TYPES_H__

#define BYTE unsigned char
#define WORD unsigned short
#define DWORD unsigned int
#define LONG unsigned int

#define ABS(x) (((x) < 0) ? -1*(x) : (x))
#define MIN(a,b)  ((a) > (b) ? (b) : (a))
#define MAX(a,b)  ((a) < (b) ? (b) : (a))
#define CLIP(x) (x < 0)? 0 : x > 255 ? 255 : x
#define IN_IMG(x, low, high) (x < low) ? low : x > high ? high : x

#define PI_ 3.14159265

#endif
