#ifndef __VIDEO_CAPTURE_H__
#define __VIDEO_CAPTURE_H__

typedef struct _VideoCapture {
    int fd;
    int width;
    int height;
    int bpp;
    unsigned char *data;
} VideoCapture;

VideoCapture open_camera(const char *dev_name);

int read_camera(VideoCapture *cap);

int close_camera(VideoCapture *cap);

int print_caps(VideoCapture *cap);

#endif